# Support

## How to file issues and get help

This project primarily uses GitHub Issues to track bugs and feature requests.

1. For bugs and feature requests pertaining to the **development containers and associated images** in this repository, please search the [existing issues](https://github.com/microsoft/vscode-dev-containers/issues) before filing new issues to avoid duplicates. For new issues, file your bug or feature request as a new Issue.

2. For bugs and issues related to the **VS Code Remote - Containers** extension, please use the [vscode-remote-release](https://github.com/microsoft/vscode-remote-release/issues) repository instead.

3. However, for bugs and feature requests relating to **GitHub Codespaces**, please raise them in the [GitHub Codespaces discussion channel](https://github.com/github/feedback/discussions/categories/codespaces-feedback) instead.

Help and questions:
1. For help using the VS Code Remote - Containers extension, please see the [VS Code Remote Development documentation](https://code.visualstudio.com/docs/remote/remote-overview) and [StackOverflow questions with the 'vscode-remote' label](https://stackoverflow.com/questions/tagged/vscode-remote).
2. For GitHub Codespaces, please see [GitHub documentation](https://docs.github.com/en/github/developing-online-with-codespaces/) or the [GitHub beta feedback channel](https://github.community/c/code-to-cloud/codespaces-beta/45) instead.
3. Information on pre-built image updates, patching, and deprecation [can be found in this pinned tracking issue](https://github.com/microsoft/vscode-dev-containers/issues/532#issue-689303932).

## Microsoft Support Policy

Support for this project is limited to the resources listed above.
